/*
 *
 * Copyright (c) 2001
 *	Politecnico di Torino.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Author:	Marco Mellia, Andrea Carpani, Luca Muscariello, Dario Rossi
 * 		Telecomunication Networks Group
 * 		Politecnico di Torino
 * 		Torino, Italy
 *              http://http://www.tlc-networks.polito.it/index.html
 *		mellia@mail.tlc.polito.it
 *
 * Tstat is deeply based on TCPTRACE. The authors would like to thank
 * Shawn Ostermann for the development of TCPTRACE.
 *
*/

#ifdef HAVE_RRDTOOL
#include <rrd.h>
/*-----------------------------------------------------------*/
/* RRDtools 				                     

  whether rrdconf.rrd is set to one, every time the histo is 
  dumped, it will also call ``rrdtools update filename N:value''
  the filename is chosen as follows, where name is the char *nome 
  of histo structures.

	name.idx%d
	name.prc%f
 	name.var (var in {avg, min, max, var, stdev})
	
*/

/* default settings like MMTRG */

#define RRA_DAILY   "RRA:AVERAGE:0.5:1:600"
#define RRA_WEEKLY  "RRA:AVERAGE:0.5:6:700"
#define RRA_MONTHLY "RRA:AVERAGE:0.5:24:775"
#define RRA_YEARLY  "RRA:AVERAGE:0.5:288:797"

/*-----------------------------------------------------------*/
/* RRDtools Prototypes  		                     */
void rrdtool_update (struct double_histo_list *h);
void rrdtool_set_conf (char *file);
void rrdtool_set_path (char *path);
void rrdtool_init ();
/*-----------------------------------------------------------*/


#endif
